<p align="center">
    <br>
    <a href="https://mihon.app">
        <img src="./.github/assets/logo.png" width="90"/>
    </a>
</p>

<h1 align="center">Mihon <a href="#">App</a></h1>
<h3 align="center">Full-featured reader</h3>
<p align="center">Discover and read manga, webtoons, comics, and more – easier than ever on your Android device.</p>

<p align="center">
    <a title="Discord server" href="https://discord.gg/mihon">
        <img src="https://img.shields.io/discord/1195734228319617024.svg?label=&labelColor=6A7EC2&color=7389D8&logo=discord&logoColor=FFFFFF">
    </a>
    <a title="GitHub downloads" href="https://github.com/mihonapp/mihon/releases">
        <img src="https://img.shields.io/github/downloads/mihonapp/mihon/total?label=downloads&labelColor=27303D&color=0D1117&logo=github&logoColor=FFFFFF&style=flat">
    </a>
    <br>
    <a title="CI" href="https://github.com/mihonapp/mihon/actions/workflows/build_push.yml">
        <img src="https://github.com/mihonapp/mihon/actions/workflows/build_push.yml/badge.svg">
    </a>
</p>

<h2 align="center">Download</h2>

<p align="center">
    <a title="Stable" href="https://github.com/mihonapp/mihon/releases">
        <img src="https://img.shields.io/github/release/mihonapp/mihon.svg?maxAge=3600&label=Stable&labelColor=06599d&color=043b69">
    </a>
    <a title="Beta" href="https://github.com/mihonapp/mihon-preview/releases">
        <img src="https://img.shields.io/github/v/release/mihonapp/mihon-preview.svg?maxAge=3600&label=Beta&labelColor=2c2c47&color=1c1c39 ">
    </a>
    <br>
    <em>Requires Android 8.0 or higher.</em>
</p>

<h2 align="center">Features</h2>

<h3>Features include</h3>
<ul>
    <li>Local reading of content</li>
    <li>A configurable reader with multiple viewers, reading directions and other settings.</li>
    <li>Tracker support: <a target="_blank" href="https://myanimelist.net/">MyAnimeList</a>, <a target="_blank" href="https://anilist.co/">AniList</a>, <a target="_blank" href="https://kitsu.io/">Kitsu</a>, <a target="_blank" href="https://mangaupdates.com">MangaUpdates</a>, <a target="_blank" href="https://shikimori.one">Shikimori</a>, and <a target="_blank" href="https://bgm.tv/">Bangumi</a> support</li>
    <li>Categories to organize your library</li>
    <li>Light and dark themes</li>
    <li>Schedule updating your library for new chapters</li>
    <li>Create backups locally to read offline or to your desired cloud service</li>
    <li>and much more...</li>
</ul>

<h2 align="center">Contributing</h2>

<p align="center">
    <a href="./CODE_OF_CONDUCT.md">Code of conduct</a>
    ·
    <a href="./CONTRIBUTING.md">Contributing guide</a>
    ·
</p>

<p align="center">Pull requests are welcome. For major changes, please open an issue first to discuss what you would like to change.</p>
<p align="center">If you got any questions, join our <a target="_blank" href="https://discord.gg/mihon">Discord server</a>.</p>

<details align="center"><summary>Issues</summary>

1. <strong>Before reporting a new issue, take a look at the <a href="https://mihon.app/docs/faq/general">FAQ</a>, the <a href="https://mihon.app/changelogs/">changelog</a> and the already opened <a href="https://github.com/mihonapp/mihon/issues">issues</a>.</strong>
2. If you are unsure, ask here: <a href="https://discord.gg/mihon"><img src="https://img.shields.io/discord/1195734228319617024.svg" alt="Discord"></a>

</details>

<details align="center"><summary>Bugs</summary>

<em> Include version (More → About → Version)
</em> If not latest, try updating, it may have already been solved
<em> Beta version is equal to the number of commits as seen on the main page
</em> Include steps to reproduce (if not obvious from description)
<em> Include screenshot (if needed)
</em> If it could be device-dependent, try reproducing on another device (if possible)

- Don&#39;t group unrelated requests into one issue

</details>

<details align="center"><summary>Feature requests</summary>

<em> Write a detailed issue, explaining what it should do or how. Avoid writing just &quot;like X app does&quot;
</em> Include screenshot (if needed)

Source requests are not accepted.

</details>

<h3 align="center">Repositories</h3>

<div>
    <p align="center">
        <a href="https://github.com/mihonapp/website/">
            <img src="https://github-readme-stats.vercel.app/api/pin/?username=mihonapp&repo=website&bg_color=161B22&text_color=c9d1d9&title_color=818CF8&icon_color=818CF8&border_radius=8&hide_border=true" alt="Website">
        </a>
    </p>
</div>

<h3 align="center">License</h3>

<pre align="center">Copyright © 2024 The Mihon Open Source Project<br><br>This Source Code Form is subject to the terms of the Mozilla Public<br>License, v. 2.0. If a copy of the MPL was not distributed with this<br>file, You can obtain one at http://mozilla.org/MPL/2.0/.</pre>

<h3 align="center">Credits</h3>

<p align="center">Thank you to all the people who have already contributed!</p>
<p align="center">
    <a href="https://github.com/mihonapp/mihon/graphs/contributors">
        <img src="https://contrib.rocks/image?repo=mihonapp/mihon" width="800"/>
    </a>
</p>
